Bug 1022539 - --install-hosts insists on IP addresses, refuses DNS host names.
--install-hosts insists on IP addresses, refuses DNS host names.
Status: CLOSED WONTFIX
Product: RDO
Classification: Community
Component: openstack-packstack (Show other bugs)
unspecified
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: RHOS Maint
Nir Magnezi
:
Depends On:
Blocks: 1022540
  Show dependency treegraph
 
Reported: 2013-10-23 09:37 EDT by Stephen Gordon
Modified: 2014-10-25 03:10 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1022540 (view as bug list)
Environment:
Last Closed: 2014-01-15 07:51:53 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Gordon 2013-10-23 09:37:19 EDT
Description of problem:

I am testing packstack in virtual machines and have a libvirt network configured such that virtual machines have the resolvable names:

controller.example.com
compute1.example.com
compute2.example.com

When running packstack with the --install-hosts option however I found that it will not accept host names.

Version-Release number of selected component (if applicable):

openstack-packstack-2013.2.1-0.11.dev806.el6.noarch

Actual results:

# packstack --install-hosts=controller.example.com,compute1.example.com,compute2.example.com
Welcome to Installer setup utility
Parameter CONFIG_NOVA_API_HOST failed validation: Given host is not in IP address format: controller.example.com

ERROR : Failed handling answer file: Given host is not in IP address format: controller.example.com
Please check log file /var/tmp/packstack/20131023-131046-H8efqE/openstack-setup.log for more information

Expected results:

Creation of a three node setup with host names used in configuration files instead of IP addresses.
Comment 1 Martin Magr 2014-01-15 07:51:53 EST
In the past we had problem with some services and hostnames, so packstack currently accepts only IP addresses. We can check if this is still the problem and start supporting hostnames for some services, but safety reasons installhosts will support IP addresses only.

Note You need to log in before you can comment on or make changes to this bug.